from __future__ import absolute_import
from __future__ import division
from __future__ import print_function


NX_STATUS_QUALIFIER = (0x3FF63000)
NX_STATUS_WARNING = (0x00000000)
NX_STATUS_ERROR = (0x80000000)
NX_WARNING_BASE = (NX_STATUS_QUALIFIER | NX_STATUS_WARNING)
NX_ERROR_BASE = (NX_STATUS_QUALIFIER | NX_STATUS_ERROR)

NX_SUCCESS = 0

NX_ERR_INTERNAL_ERROR = (NX_ERROR_BASE | 0x001)
NX_ERR_SELF_TEST_ERROR1 = (NX_ERROR_BASE | 0x002)
NX_ERR_SELF_TEST_ERROR2 = (NX_ERROR_BASE | 0x003)
NX_ERR_SELF_TEST_ERROR3 = (NX_ERROR_BASE | 0x004)
NX_ERR_SELF_TEST_ERROR4 = (NX_ERROR_BASE | 0x005)
NX_ERR_SELF_TEST_ERROR5 = (NX_ERROR_BASE | 0x006)
NX_ERR_POWER_SUSPENDED = (NX_ERROR_BASE | 0x007)
NX_ERR_OUTPUT_QUEUE_OVERFLOW = (NX_ERROR_BASE | 0x008)
NX_ERR_FIRMWARE_NO_RESPONSE = (NX_ERROR_BASE | 0x009)
NX_ERR_EVENT_TIMEOUT = (NX_ERROR_BASE | 0x00A)
NX_ERR_INPUT_QUEUE_OVERFLOW = (NX_ERROR_BASE | 0x00B)
NX_ERR_INPUT_QUEUE_READ_SIZE = (NX_ERROR_BASE | 0x00C)
NX_ERR_DUPLICATE_FRAME_OBJECT = (NX_ERROR_BASE | 0x00D)
NX_ERR_DUPLICATE_STREAM_OBJECT = (NX_ERROR_BASE | 0x00E)
NX_ERR_SELF_TEST_NOT_POSSIBLE = (NX_ERROR_BASE | 0x00F)
NX_ERR_MEMORY_FULL = (NX_ERROR_BASE | 0x010)
NX_ERR_MAX_SESSIONS = (NX_ERROR_BASE | 0x011)
NX_ERR_MAX_FRAMES = (NX_ERROR_BASE | 0x012)
NX_ERR_MAX_DEVICES = (NX_ERROR_BASE | 0x013)
NX_ERR_MISSING_FILE = (NX_ERROR_BASE | 0x014)
NX_ERR_PARAMETER_NULL_OR_EMPTY = (NX_ERROR_BASE | 0x015)
NX_ERR_MAX_SCHEDULES = (NX_ERROR_BASE | 0x016)
NX_ERR_SELF_TEST_ERROR6 = (NX_ERROR_BASE | 0x017)
NX_ERR_SELF_TEST_IN_PROGRESS = (NX_ERROR_BASE | 0x018)
NX_ERR_INVALID_SESSION_HANDLE = (NX_ERROR_BASE | 0x020)
NX_ERR_INVALID_SYSTEM_HANDLE = (NX_ERROR_BASE | 0x021)
NX_ERR_DEVICE_HANDLE_EXPECTED = (NX_ERROR_BASE | 0x022)
NX_ERR_INTF_HANDLE_EXPECTED = (NX_ERROR_BASE | 0x023)
NX_ERR_PROPERTY_MODE_CONFLICTING = (NX_ERROR_BASE | 0x024)
NX_ERR_TIMING_SOURCE_NOT_SUPPORTED = (NX_ERROR_BASE | 0x025)
NX_ERR_MULTIPLE_TIMING_SOURCE = (NX_ERROR_BASE | 0x026)
NX_ERR_OVERLAPPING_IO = (NX_ERROR_BASE | 0x027)
NX_ERR_MISSING_BUS_POWER = (NX_ERROR_BASE | 0x028)
NX_ERR_CDAQ_CONNECTION_LOST = (NX_ERROR_BASE | 0x029)
NX_ERR_INVALID_TRANSCEIVER = (NX_ERROR_BASE | 0x071)
NX_ERR_INVALID_BAUD_RATE = (NX_ERROR_BASE | 0x072)
NX_ERR_BAUD_RATE_NOT_CONFIGURED = (NX_ERROR_BASE | 0x073)
NX_ERR_INVALID_BIT_TIMINGS = (NX_ERROR_BASE | 0x074)
NX_ERR_BAUD_RATE_XCVR_MISMATCH = (NX_ERROR_BASE | 0x075)
NX_ERR_UNKNOWN_TIMING_SOURCE = (NX_ERROR_BASE | 0x076)
NX_ERR_UNKNOWN_SYNCHRONIZATION_SOURCE = (NX_ERROR_BASE | 0x077)
NX_ERR_MISSING_TIMEBASE_SOURCE = (NX_ERROR_BASE | 0x078)
NX_ERR_UNKNOWN_TIMEBASE_FREQUENCY = (NX_ERROR_BASE | 0x079)
NX_ERR_UNCONNECTED_SYNCHRONIZATION_SOURCE = (NX_ERROR_BASE | 0x07A)
NX_ERR_CONNECTED_SYNCHRONIZATION_TERMINAL = (NX_ERROR_BASE | 0x07B)
NX_ERR_INVALID_SYNCHRONIZATION_SOURCE = (NX_ERROR_BASE | 0x07C)
NX_ERR_INVALID_SYNCHRONIZATION_DESTINATION = (NX_ERROR_BASE | 0x07D)
NX_ERR_INVALID_SYNCHRONIZATION_COMBINATION = (NX_ERROR_BASE | 0x07E)
NX_ERR_TIMEBASE_DISAPPEARED = (NX_ERROR_BASE | 0x07F)
NX_ERR_MACROTICK_DISCONNECTED = (NX_ERROR_BASE | 0x080)
NX_ERR_CANNOT_OPEN_DATABASE_FILE = (NX_ERROR_BASE | 0x081)
NX_ERR_CLUSTER_NOT_FOUND = (NX_ERROR_BASE | 0x082)
NX_ERR_FRAME_NOT_FOUND = (NX_ERROR_BASE | 0x083)
NX_ERR_SIGNAL_NOT_FOUND = (NX_ERROR_BASE | 0x084)
NX_ERR_UNCONFIGURED_CLUSTER = (NX_ERROR_BASE | 0x085)
NX_ERR_UNCONFIGURED_FRAME = (NX_ERROR_BASE | 0x086)
NX_ERR_UNCONFIGURED_SIGNAL = (NX_ERROR_BASE | 0x087)
NX_ERR_MULTIPLE_CLUSTERS = (NX_ERROR_BASE | 0x088)
NX_ERR_SUBORDINATE_NOT_ALLOWED = (NX_ERROR_BASE | 0x089)
NX_ERR_INVALID_INTERFACE = (NX_ERROR_BASE | 0x08A)
NX_ERR_INVALID_PROTOCOL = (NX_ERROR_BASE | 0x08B)
NX_ERR_INPUT_SESSION_MUST_AUTO_START = (NX_ERROR_BASE | 0x08C)
NX_ERR_INVALID_PROPERTY_ID = (NX_ERROR_BASE | 0x08D)
NX_ERR_INVALID_PROPERTY_SIZE = (NX_ERROR_BASE | 0x08E)
NX_ERR_INCORRECT_MODE = (NX_ERROR_BASE | 0x08F)
NX_ERR_BUFFER_TOO_SMALL = (NX_ERROR_BASE | 0x090)
NX_ERR_MUST_SPECIFY_MULTIPLEXERS = (NX_ERROR_BASE | 0x091)
NX_ERR_SESSION_NOT_FOUND = (NX_ERROR_BASE | 0x092)
NX_ERR_MULTIPLE_USE_OF_SESSION = (NX_ERROR_BASE | 0x093)
NX_ERR_ONLY_ONE_FRAME = (NX_ERROR_BASE | 0x094)
NX_ERR_DUPLICATE_ALIAS = (NX_ERROR_BASE | 0x095)
NX_ERR_DEPLOYMENT_IN_PROGRESS = (NX_ERROR_BASE | 0x096)
NX_ERR_NO_FRAMES_OR_SIGNALS = (NX_ERROR_BASE | 0x097)
NX_ERR_INVALID_MODE = (NX_ERROR_BASE | 0x098)
NX_ERR_NEED_REFERENCE = (NX_ERROR_BASE | 0x099)
NX_ERR_DIFFERENT_CLUSTER_OPEN = (NX_ERROR_BASE | 0x09A)
NX_ERR_FLEX_RAY_INVALID_CYCLE_REP = (NX_ERROR_BASE | 0x09B)
NX_ERR_SESSION_CLEARED = (NX_ERROR_BASE | 0x09C)
NX_ERR_WRONG_MODE_FOR_CREATE_SELECTION = (NX_ERROR_BASE | 0x09D)
NX_ERR_INTERFACE_RUNNING = (NX_ERROR_BASE | 0x09E)
NX_ERR_FRAME_WRITE_TOO_LARGE = (NX_ERROR_BASE | 0x09F)
NX_ERR_TIMEOUT_WITHOUT_NUM_TO_READ = (NX_ERROR_BASE | 0x0A0)
NX_ERR_TIMESTAMPS_NOT_SUPPORTED = (NX_ERROR_BASE | 0x0A1)
NX_ERR_UNKNOWN_CONDITION = (NX_ERROR_BASE | 0x0A2)
NX_ERR_SESSION_NOT_STARTED = (NX_ERROR_BASE | 0x0A3)
NX_ERR_MAX_WAITS_EXCEEDED = (NX_ERROR_BASE | 0x0A4)
NX_ERR_INVALID_DEVICE = (NX_ERROR_BASE | 0x0A5)
NX_ERR_INVALID_TERMINAL_NAME = (NX_ERROR_BASE | 0x0A6)
NX_ERR_PORT_LE_DS_BUSY = (NX_ERROR_BASE | 0x0A7)
NX_ERR_INVALID_KEYSLOT = (NX_ERROR_BASE | 0x0A8)
NX_ERR_MAX_QUEUE_SIZE_EXCEEDED = (NX_ERROR_BASE | 0x0A9)
NX_ERR_FRAME_SIZE_MISMATCH = (NX_ERROR_BASE | 0x0AA)
NX_ERR_INDEX_TOO_BIG = (NX_ERROR_BASE | 0x0AB)
NX_ERR_SESSION_MODE_INCOMPATIBILITY = (NX_ERROR_BASE | 0x0AC)
NX_ERR_SESSION_TYPE_FRAME_INCOMPATIBILITY = (NX_ERROR_BASE | 0x15D)
NX_ERR_TRIGGER_SIGNAL_NOT_ALLOWED = (NX_ERROR_BASE | 0x0AD)
NX_ERR_ONLY_ONE_CLUSTER = (NX_ERROR_BASE | 0x0AE)
NX_ERR_CONVERT_INVALID_PAYLOAD = (NX_ERROR_BASE | 0x0AF)
NX_ERR_MEMORY_FULL_READ_DATA = (NX_ERROR_BASE | 0x0B0)
NX_ERR_MEMORY_FULL_FIRMWARE = (NX_ERROR_BASE | 0x0B1)
NX_ERR_COMMUNICATION_LOST = (NX_ERROR_BASE | 0x0B2)
NX_ERR_INVALID_PRIORITY = (NX_ERROR_BASE | 0x0B3)
NX_ERR_SYNCHRONIZATION_NOT_ALLOWED = (NX_ERROR_BASE | 0x0B4)
NX_ERR_TIME_NOT_REACHED = (NX_ERROR_BASE | 0x0B5)
NX_ERR_INTERNAL_INPUT_QUEUE_OVERFLOW = (NX_ERROR_BASE | 0x0B6)
NX_ERR_BAD_IMAGE_FILE = (NX_ERROR_BASE | 0x0B7)
NX_ERR_INVALID_LOGFILE = (NX_ERROR_BASE | 0x0B8)
NX_ERR_DONGLE_COMMUNICATION_LOST = (NX_ERROR_BASE | 0xB9)
NX_ERR_INVALID_PROPERTY_VALUE = (NX_ERROR_BASE | 0x0C0)
NX_ERR_FLEX_RAY_INTEGRATION_FAILED = (NX_ERROR_BASE | 0x0C1)
NX_ERR_PDU_NOT_FOUND = (NX_ERROR_BASE | 0x0D0)
NX_ERR_UNCONFIGURED_PDU = (NX_ERROR_BASE | 0x0D1)
NX_ERR_DUPLICATE_PDU_OBJECT = (NX_ERROR_BASE | 0x0D2)
NX_ERR_NEED_PDU = (NX_ERROR_BASE | 0x0D3)
NX_ERR_RPC_COMMUNICATION = (NX_ERROR_BASE | 0x100)
NX_ERR_FILE_TRANSFER_COMMUNICATION = (NX_ERROR_BASE | 0x101)
NX_ERR_FTP_COMMUNICATION = (NX_ERROR_BASE | 0x101)
NX_ERR_FILE_TRANSFER_ACCESS = (NX_ERROR_BASE | 0x102)
NX_ERR_FTP_FILE_ACCESS = (NX_ERROR_BASE | 0x102)
NX_ERR_DATABASE_ALREADY_IN_USE = (NX_ERROR_BASE | 0x103)
NX_ERR_INTERNAL_FILE_ACCESS = (NX_ERROR_BASE | 0x104)
NX_ERR_FILE_TRANSFER_ACTIVE = (NX_ERROR_BASE | 0x105)
NX_ERR_DLL_LOAD = (NX_ERROR_BASE | 0x117)
NX_ERR_OBJECT_STARTED = (NX_ERROR_BASE | 0x11E)
NX_ERR_DEFAULT_PAYLOAD_NUM_BYTES = (NX_ERROR_BASE | 0x11F)
NX_ERR_INVALID_ARBITRATION_ID = (NX_ERROR_BASE | 0x123)
NX_ERR_INVALID_LIN_ID = (NX_ERROR_BASE | 0x124)
NX_ERR_TOO_MANY_OPEN_FILES = (NX_ERROR_BASE | 0x130)
NX_ERR_DATABASE_BAD_REFERENCE = (NX_ERROR_BASE | 0x131)
NX_ERR_CREATE_DATABASE_FILE = (NX_ERROR_BASE | 0x132)
NX_ERR_DUPLICATE_CLUSTER_NAME = (NX_ERROR_BASE | 0x133)
NX_ERR_DUPLICATE_FRAME_NAME = (NX_ERROR_BASE | 0x134)
NX_ERR_DUPLICATE_SIGNAL_NAME = (NX_ERROR_BASE | 0x135)
NX_ERR_DUPLICATE_ECU_NAME = (NX_ERROR_BASE | 0x136)
NX_ERR_DUPLICATE_SUBFRAME_NAME = (NX_ERROR_BASE | 0x137)
NX_ERR_IMPROPER_PROTOCOL = (NX_ERROR_BASE | 0x138)
NX_ERR_OBJECT_RELATION = (NX_ERROR_BASE | 0x139)
NX_ERR_UNCONFIGURED_REQUIRED_PROPERTY = (NX_ERROR_BASE | 0x13B)
NX_ERR_NOT_SUPPORTED_ON_RT = (NX_ERROR_BASE | 0x13C)
NX_ERR_NAME_SYNTAX = (NX_ERROR_BASE | 0x13D)
NX_ERR_FILE_EXTENSION = (NX_ERROR_BASE | 0x13E)
NX_ERR_DATABASE_OBJECT_NOT_FOUND = (NX_ERROR_BASE | 0x13F)
NX_ERR_REMOVE_DATABASE_CACHE_FILE = (NX_ERROR_BASE | 0x140)
NX_ERR_READ_ONLY_PROPERTY = (NX_ERROR_BASE | 0x141)
NX_ERR_FRAME_MUX_EXISTS = (NX_ERROR_BASE | 0x142)
NX_ERR_UNDEFINED_FIRST_SLOT = (NX_ERROR_BASE | 0x144)
NX_ERR_UNDEFINED_FIRST_CHANNELS = (NX_ERROR_BASE | 0x145)
NX_ERR_UNDEFINED_PROTOCOL = (NX_ERROR_BASE | 0x146)
NX_ERR_OLD_DATABASE_CACHE_FILE = (NX_ERROR_BASE | 0x147)
NX_ERR_DB_CONFIG_SIG_OUT_OF_FRAME = (NX_ERROR_BASE | 0x148)
NX_ERR_DB_CONFIG_SIG_OVERLAPPED = (NX_ERROR_BASE | 0x149)
NX_ERR_DB_CONFIG_SIG52_BIT_INTEGER = (NX_ERROR_BASE | 0x14A)
NX_ERR_DB_CONFIG_FRAME_NUM_BYTES = (NX_ERROR_BASE | 0x14B)
NX_ERR_MULT_SYNC_STARTUP = (NX_ERROR_BASE | 0x14C)
NX_ERR_INVALID_CLUSTER = (NX_ERROR_BASE | 0x14D)
NX_ERR_DATABASE_NAME = (NX_ERROR_BASE | 0x14E)
NX_ERR_DATABASE_OBJECT_LOCKED = (NX_ERROR_BASE | 0x14F)
NX_ERR_ALIAS_NOT_FOUND = (NX_ERROR_BASE | 0x150)
NX_ERR_CLUSTER_FRAME_CHANNEL_RELATION = (NX_ERROR_BASE | 0x151)
NX_ERR_DYN_FLEX_RAY_FRAME_CHAN_AAND_B = (NX_ERROR_BASE | 0x152)
NX_ERR_DATABASE_LOCKED_IN_USE = (NX_ERROR_BASE | 0x153)
NX_ERR_AMBIGUOUS_FRAME_NAME = (NX_ERROR_BASE | 0x154)
NX_ERR_AMBIGUOUS_SIGNAL_NAME = (NX_ERROR_BASE | 0x155)
NX_ERR_AMBIGUOUS_ECU_NAME = (NX_ERROR_BASE | 0x156)
NX_ERR_AMBIGUOUS_SUBFRAME_NAME = (NX_ERROR_BASE | 0x157)
NX_ERR_AMBIGUOUS_SCHEDULE_NAME = (NX_ERROR_BASE | 0x158)
NX_ERR_DUPLICATE_SCHEDULE_NAME = (NX_ERROR_BASE | 0x159)
NX_ERR_DIAGNOSTIC_SCHEDULE_NOT_DEFINED = (NX_ERROR_BASE | 0x18F)
NX_ERR_PROTOCOL_MUX_NOT_SUPPORTED = (NX_ERROR_BASE | 0x15A)
NX_ERR_SAVE_LI_NNOT_SUPPORTED = (NX_ERROR_BASE | 0x15B)
NX_ERR_LI_NMASTER_NOT_DEFINED = (NX_ERROR_BASE | 0x15C)
NX_ERR_MIX_AUTO_MANUAL_OPEN = (NX_ERROR_BASE | 0x15E)
NX_ERR_AUTO_OPEN_NOT_SUPPORTED = (NX_ERROR_BASE | 0x15F)
NX_ERR_WRONG_NUM_SIGNALS_WRITTEN = (NX_ERROR_BASE | 0x160)
NX_ERR_MULTIPLE_LV_PROJECT = (NX_ERROR_BASE | 0x161)
NX_ERR_SESSION_CONFLICT_LV_PROJECT = (NX_ERROR_BASE | 0x162)
NX_ERR_DB_OBJECT_NAME_EMPTY = (NX_ERROR_BASE | 0x163)
NX_ERR_MISSING_ALIAS_IN_DB_OBJECT_NAME = (NX_ERROR_BASE | 0x164)
NX_ERR_FIBEX_IMPORT_VERSION = (NX_ERROR_BASE | 0x165)
NX_ERR_EMPTY_SESSION_NAME = (NX_ERROR_BASE | 0x166)
NX_ERR_NOT_ENOUGH_MESSAGE_RAM_FOR_OBJECT = (NX_ERROR_BASE | 0x167)
NX_ERR_KEY_SLOT_ID_CONFIG = (NX_ERROR_BASE | 0x168)
NX_ERR_UNSUPPORTED_SESSION = (NX_ERROR_BASE | 0x169)
NX_ERR_OBJECT_CREATED_AFTER_START = (NX_ERROR_BASE | 0x170)
NX_ERR_SINGLE_SLOT_ENABLED_AFTER_START = (NX_ERROR_BASE | 0x171)
NX_ERR_UNSUPPORTED_NUM_MACROTICKS = (NX_ERROR_BASE | 0x172)
NX_ERR_BAD_SYNTAX_IN_DATABASE_OBJECT_NAME = (NX_ERROR_BASE | 0x173)
NX_ERR_AMBIGUOUS_SCHEDULE_ENTRY_NAME = (NX_ERROR_BASE | 0x174)
NX_ERR_DUPLICATE_SCHEDULE_ENTRY_NAME = (NX_ERROR_BASE | 0x175)
NX_ERR_UNDEFINED_FRAME_ID = (NX_ERROR_BASE | 0x176)
NX_ERR_UNDEFINED_FRAME_PAYLOAD_LENGTH = (NX_ERROR_BASE | 0x177)
NX_ERR_UNDEFINED_SIGNAL_START_BIT = (NX_ERROR_BASE | 0x178)
NX_ERR_UNDEFINED_SIGNAL_NUM_BITS = (NX_ERROR_BASE | 0x179)
NX_ERR_UNDEFINED_SIGNAL_BYTE_ORDER = (NX_ERROR_BASE | 0x17A)
NX_ERR_UNDEFINED_SIGNAL_DATA_TYPE = (NX_ERROR_BASE | 0x17B)
NX_ERR_UNDEFINED_SUBF_MUX_VALUE = (NX_ERROR_BASE | 0x17C)
NX_ERR_INVALID_LIN_SCHED_INDEX = (NX_ERROR_BASE | 0x17D)
NX_ERR_INVALID_LIN_SCHED_NAME = (NX_ERROR_BASE | 0x17E)
NX_ERR_INVALID_ACTIVE_FRAME_INDEX = (NX_ERROR_BASE | 0x17F)
NX_ERR_INVALID_ACTIVE_FRAME_NAME = (NX_ERROR_BASE | 0x180)
NX_ERR_AMBIGUOUS_PDU = (NX_ERROR_BASE | 0x181)
NX_ERR_DUPLICATE_PDU = (NX_ERROR_BASE | 0x182)
NX_ERR_NUMBER_OF_PD_US = (NX_ERROR_BASE | 0x183)
NX_ERR_PD_US_REQUIRED = (NX_ERROR_BASE | 0x184)
NX_ERR_MAX_PD_US = (NX_ERROR_BASE | 0x185)
NX_ERR_UNSUPPORTED_MODE = (NX_ERROR_BASE | 0x186)
NX_ERR_BAD_FPGA_SIGNATURE = (NX_ERROR_BASE | 0x187)
NX_ERR_BADC_SERIES_FPGA_SIGNATURE = (NX_ERR_BAD_FPGA_SIGNATURE)
NX_ERR_BAD_FPGA_REVISION = (NX_ERROR_BASE | 0x188)
NX_ERR_BADC_SERIES_FPGA_REVISION = (NX_ERR_BAD_FPGA_REVISION)
NX_ERR_BAD_FPGA_REVISION_ON_TARGET = (NX_ERROR_BASE | 0x189)
NX_ERR_ROUTE_IN_USE = (NX_ERROR_BASE | 0x18A)
NX_ERR_DA_QMX_INCORRECT_VERSION = (NX_ERROR_BASE | 0x18B)
NX_ERR_ADD_ROUTE = (NX_ERROR_BASE | 0x18C)
NX_ERR_REMOTE_SLEEP_ON_LIN_SLAVE = (NX_ERROR_BASE | 0x18D)
NX_ERR_SLEEP_WAKEUP_NOT_SUPPORTED = (NX_ERROR_BASE | 0x18E)
NX_ERR_LIN_TRANSPORT_LAYER = (NX_ERROR_BASE | 0x192)
NX_ERR_LOGFILE = (NX_ERROR_BASE | 0x193)
NX_ERR_STRM_OUT_TMG_LIN_SCHEDULER_CONFLICT = (NX_ERROR_BASE | 0x200)
NX_ERR_SESSN_TYPE_LIN_INTF_PRS_INCOMPATIBLE = (NX_ERROR_BASE | 0x201)
NX_ERR_SAVE_CLUSTER_ONLY = (NX_ERROR_BASE | 0x202)
NX_ERR_SAVE_LDF_CLUSTER_ONLY = NX_ERR_SAVE_CLUSTER_ONLY
NX_ERR_DUPLICATE_INTERFACE_NAME = (NX_ERROR_BASE | 0x203)
NX_ERR_INCOMPATIABLE_TRANSCEIVER_REVISION = (NX_ERROR_BASE | 0x204)
NX_ERR_INCOMPATIABLE_TRANSCEIVER_IMAGE = (NX_ERROR_BASE | 0x205)
NX_ERR_PROPERTY_NOTSUPPORTED = (NX_ERROR_BASE | 0x206)
NX_ERR_EXPORT_SEMANTIC = (NX_ERROR_BASE | 0x207)
NX_ERR_J1939_QUEUE_OVERFLOW = (NX_ERROR_BASE | 0x0208)
NX_ERR_NON_J1939_FRAME_SIZE = (NX_ERROR_BASE | 0x0209)
NX_ERR_J1939_MISSING_ADDRESS = (NX_ERROR_BASE | 0x020A)
NX_ERR_J1939_ADDRESS_LOST = (NX_ERROR_BASE | 0x020B)
NX_ERR_J1939_CTS_NEXT_PCK_LARGER_TOTAL_PCK_NUM = (NX_ERROR_BASE | 0x020C)
NX_ERR_J1939_CTS_NEXT_PCK = (NX_ERROR_BASE | 0x020D)
NX_ERR_J1939_CTS_NEXT_PCK_NULL = (NX_ERROR_BASE | 0x020E)
NX_ERR_J1939_CTS_PGN = (NX_ERROR_BASE | 0x020F)
NX_ERR_J1939_UNEXPECTED_SEQ_NUM = (NX_ERROR_BASE | 0x0210)
NX_ERR_J1939_MORE_PCK_REQ_THAN_ALLOWED = (NX_ERROR_BASE | 0x0211)
NX_ERR_J1939_TIMEOUT_T1 = (NX_ERROR_BASE | 0x0212)
NX_ERR_J1939_TIMEOUT_T2 = (NX_ERROR_BASE | 0x0213)
NX_ERR_J1939_TIMEOUT_T3 = (NX_ERROR_BASE | 0x0214)
NX_ERR_J1939_TIMEOUT_T4 = (NX_ERROR_BASE | 0x0215)
NX_ERR_J1939_RTS_DLC = (NX_ERROR_BASE | 0x0216)
NX_ERR_J1939_CTS_DLC = (NX_ERROR_BASE | 0x0217)
NX_ERR_J1939_BAM_DLC = (NX_ERROR_BASE | 0x0218)
NX_ERR_J1939_DT_DLC = (NX_ERROR_BASE | 0x0219)
NX_ERR_J1939_ABORT_DLC = (NX_ERROR_BASE | 0x021A)
NX_ERR_J1939_EOMA_DLC = (NX_ERROR_BASE | 0x021B)
NX_ERR_J1939_ABORT_PGN = (NX_ERROR_BASE | 0x021C)
NX_ERR_J1939_CTS_HOLD_MSG = (NX_ERROR_BASE | 0x021D)
NX_ERR_J1939_INVALID_TOTAL_SIZE = (NX_ERROR_BASE | 0x021E)
NX_ERR_J1939_TOTAL_PCK_NUM = (NX_ERROR_BASE | 0x021F)
NX_ERR_J1939_RESERVED_DATA = (NX_ERROR_BASE | 0x0220)
NX_ERR_J1939_NOT_ENOUGH_SYS_RES = (NX_ERROR_BASE | 0x0221)
NX_ERR_J1939_ABORT_MSG_ACTIVE_CONNECTION = (NX_ERROR_BASE | 0x0222)
NX_ERR_J1939_ABORT_MSG_NOT_ENOUGH_SYS_RES = (NX_ERROR_BASE | 0x0223)
NX_ERR_J1939_ABORT_MSG_TIMEOUT = (NX_ERROR_BASE | 0x0224)
NX_ERR_J1939_ABORT_MSG_CTS_REC = (NX_ERROR_BASE | 0x0225)
NX_ERR_J1939_ABORT_MSG_MAX_RETRANSMIT = (NX_ERROR_BASE | 0x0226)
NX_ERR_RPC_VERSION = (NX_ERROR_BASE | 0x0227)
NX_ERR_FRAME_CAN_IO_MODE = (NX_ERROR_BASE | 0x0228)
NX_ERR_INCOMPATIBLE_FLASH = (NX_ERROR_BASE | 0x0229)
NX_ERR_TX_IO_MODE = (NX_ERROR_BASE | 0x022A)
NX_ERR_XS_DONGLE_UNSUPPORTED_BOARD = (NX_ERROR_BASE | 0x022B)
NX_ERR_INVALID_CHAR_IN_DATABASE_ALIAS = (NX_ERROR_BASE | 0x022C)
NX_ERR_INVALID_CHAR_IN_DATABASE_FILEPATH = (NX_ERROR_BASE | 0x022D)
NX_ERR_INVALID_CAN_FD_PORT_TYPE = (NX_ERROR_BASE | 0x022E)
NX_ERR_INV_UNCONDITIONAL_ENTRY = (NX_ERROR_BASE | 0x022F)
NX_ERR_EVENT_ENTRY_NO_SCHEDULE = (NX_ERROR_BASE | 0x0230)
NX_ERR_UNSUPPORTED_USB_SPEED = (NX_ERROR_BASE | 0x0231)

NX_WARN_FD_BAUD_EXCEEDS_CAPABILITY = (NX_WARNING_BASE | 0x40)
NX_WARN_DATABASE_IMPORT = (NX_WARNING_BASE | 0x085)
NX_WARN_DATABASE_IMPORT_FIBEX_NO_XNET_FILE = (NX_WARNING_BASE | 0x086)
NX_WARN_DATABASE_IMPORT_FIBEX_NO_XNET_FILE_PLUS_WARNING = (NX_WARNING_BASE | 0x087)
NX_WARN_DATABASE_BAD_REFERENCE = (NX_WARNING_BASE | 0x131)
NX_WARN_ADVANCED_PDU = (NX_WARNING_BASE | 0x132)
NX_WARN_MUX_EXCEEDS16_BIT = (NX_WARNING_BASE | 0x133)

NX_CLASS_DATABASE = 0x00000000
NX_CLASS_CLUSTER = 0x00010000
NX_CLASS_FRAME = 0x00020000
NX_CLASS_SIGNAL = 0x00030000
NX_CLASS_SUBFRAME = 0x00040000
NX_CLASS_ECU = 0x00050000
NX_CLASS_LIN_SCHED = 0x00060000
NX_CLASS_LIN_SCHED_ENTRY = 0x00070000
NX_CLASS_PDU = 0x00080000
NX_CLASS_SESSION = 0x00100000
NX_CLASS_SYSTEM = 0x00110000
NX_CLASS_DEVICE = 0x00120000
NX_CLASS_INTERFACE = 0x00130000
NX_CLASS_ALIAS = 0x00140000
NX_CLASS_MASK = 0x00FF0000

NX_PRPTYPE_U32 = 0x00000000
NX_PRPTYPE_F64 = 0x01000000
NX_PRPTYPE_BOOL = 0x02000000
NX_PRPTYPE_STRING = 0x03000000
NX_PRPTYPE_1_DSTRING = 0x04000000
NX_PRPTYPE_REF = 0x05000000
NX_PRPTYPE_1_DREF = 0x06000000
NX_PRPTYPE_TIME = 0x07000000
NX_PRPTYPE_1_DU32 = 0x08000000
NX_PRPTYPE_U64 = 0x09000000
NX_PRPTYPE_1_DU8 = 0x0A000000
NX_PRPTYPE_MASK = 0xFF000000

NX_PROP_SESSION_APPLICATION_PROTOCOL = (0x00000091 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_AUTO_START = (0x00000001 | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_CLUSTER_NAME = (0x0000000A | NX_CLASS_SESSION | NX_PRPTYPE_STRING)
NX_PROP_SESSION_DATABASE_NAME = (0x00000002 | NX_CLASS_SESSION | NX_PRPTYPE_STRING)
NX_PROP_SESSION_LIST = (0x00000003 | NX_CLASS_SESSION | NX_PRPTYPE_1_DSTRING)
NX_PROP_SESSION_MODE = (0x00000004 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_NUM_FRAMES = (0x0000000D | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_NUM_IN_LIST = (0x00000005 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_NUM_PEND = (0x00000006 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_NUM_UNUSED = (0x0000000B | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_PAYLD_LEN_MAX = (0x00000009 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_PROTOCOL = (0x00000008 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_QUEUE_SIZE = (0x0000000C | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_RESAMP_RATE = (0x00000007 | NX_CLASS_SESSION | NX_PRPTYPE_F64)
NX_PROP_SESSION_INTF_BAUD_RATE = (0x00000016 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_BAUD_RATE64 = (0x00000016 | NX_CLASS_SESSION | NX_PRPTYPE_U64)
NX_PROP_SESSION_INTF_BUS_ERR_TO_IN_STRM = (0x00000015 | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_ECHO_TX = (0x00000010 | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_NAME = (0x00000013 | NX_CLASS_SESSION | NX_PRPTYPE_STRING)
NX_PROP_SESSION_INTF_OUT_STRM_LIST = (0x00000011 | NX_CLASS_SESSION | NX_PRPTYPE_1_DREF)
NX_PROP_SESSION_INTF_OUT_STRM_TIMNG = (0x00000012 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_START_TRIG_TO_IN_STRM = (0x00000014 | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_CAN_EXT_TCVR_CONFIG = (0x00000023 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_CAN_LSTN_ONLY = (0x00000022 | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_CAN_PEND_TX_ORDER = (0x00000020 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_CAN_SING_SHOT = (0x00000024 | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_CAN_TERM = (0x00000025 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_CAN_TCVR_STATE = (0x00000028 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_CAN_TCVR_TYPE = (0x00000029 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_CAN_OUT_STRM_LIST_BY_ID = (0x00000021 | NX_CLASS_SESSION | NX_PRPTYPE_1_DU32)
NX_PROP_SESSION_INTF_CAN_IO_MODE = (0x00000026 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_CAN_FD_BAUD_RATE = (0x00000027 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_CAN_FD_BAUD_RATE64 = (0x00000027 | NX_CLASS_SESSION | NX_PRPTYPE_U64)
NX_PROP_SESSION_INTF_CAN_TX_IO_MODE = (0x00000039 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_CAN_FD_ISO_MODE = (0x0000003E | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_ACC_START_RNG = (0x00000030 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_ALW_HLT_CLK = (0x00000031 | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_FLEX_RAY_ALW_PASS_ACT = (0x00000032 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_AUTO_ASLP_WHN_STP = (0x0000003A | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_FLEX_RAY_CLST_DRIFT_DMP = (0x00000033 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_COLDSTART = (0x00000034 | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_FLEX_RAY_DEC_CORR = (0x00000035 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_DELAY_COMP_A = (0x00000036 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_DELAY_COMP_B = (0x00000037 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_KEY_SLOT_ID = (0x00000038 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_LATEST_TX = (0x00000041 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_LIST_TIMO = (0x00000042 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_MAC_INIT_OFF_A = (0x00000043 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_MAC_INIT_OFF_B = (0x00000044 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_MIC_INIT_OFF_A = (0x00000045 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_MIC_INIT_OFF_B = (0x00000046 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_MAX_DRIFT = (0x00000047 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_MICROTICK = (0x00000048 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_NULL_TO_IN_STRM = (0x00000049 | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_FLEX_RAY_OFF_CORR = (0x00000058 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_OFF_CORR_OUT = (0x00000050 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_RATE_CORR = (0x00000059 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_RATE_CORR_OUT = (0x00000052 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_SAMP_PER_MICRO = (0x00000053 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_SING_SLOT_EN = (0x00000054 | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_FLEX_RAY_STATISTICS_EN = (0x0000005A | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_FLEX_RAY_SYM_TO_IN_STRM = (0x0000003D | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_FLEX_RAY_SYNC_CH_A_EVEN = (0x0000005B | NX_CLASS_SESSION | NX_PRPTYPE_1_DU32)
NX_PROP_SESSION_INTF_FLEX_RAY_SYNC_CH_A_ODD = (0x0000005C | NX_CLASS_SESSION | NX_PRPTYPE_1_DU32)
NX_PROP_SESSION_INTF_FLEX_RAY_SYNC_CH_B_EVEN = (0x0000005D | NX_CLASS_SESSION | NX_PRPTYPE_1_DU32)
NX_PROP_SESSION_INTF_FLEX_RAY_SYNC_CH_B_ODD = (0x0000005E | NX_CLASS_SESSION | NX_PRPTYPE_1_DU32)
NX_PROP_SESSION_INTF_FLEX_RAY_SYNC_STATUS = (0x0000005F | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_TERM = (0x00000057 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_WAKEUP_CH = (0x00000055 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_WAKEUP_PTRN = (0x00000056 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_SLEEP = (0x0000003B | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_FLEX_RAY_CONNECTED_CHS = (0x0000003C | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_LIN_BREAK_LENGTH = (0x00000070 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_LIN_MASTER = (0x00000072 | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_LIN_SCHED_NAMES = (0x00000075 | NX_CLASS_SESSION | NX_PRPTYPE_1_DSTRING)
NX_PROP_SESSION_INTF_LIN_SLEEP = (0x00000073 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_LIN_TERM = (0x00000074 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_INTF_LIN_DIAG_P_2MIN = (0x00000077 | NX_CLASS_SESSION | NX_PRPTYPE_F64)
NX_PROP_SESSION_INTF_LIN_DIAG_S_TMIN = (0x00000076 | NX_CLASS_SESSION | NX_PRPTYPE_F64)
NX_PROP_SESSION_INTF_LIN_ALW_START_WO_BUS_PWR = (0x00000078 | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_LINO_STR_SLV_RSP_LST_BY_NAD = (0x00000079 | NX_CLASS_SESSION | NX_PRPTYPE_1_DU32)
NX_PROP_SESSION_INTF_LIN_NO_RESPONSE_TO_IN_STRM = (0x00000080 | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_SRC_TERM_START_TRIGGER = (0x00000090 | NX_CLASS_SESSION | NX_PRPTYPE_STRING)
NX_PROP_SESSION_J1939_ADDRESS = (0x00000092 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_J1939_NAME = (0x00000094 | NX_CLASS_SESSION | NX_PRPTYPE_U64)
NX_PROP_SESSION_J1939ECU = (0x00000093 | NX_CLASS_SESSION | NX_PRPTYPE_REF)
NX_PROP_SESSION_J1939_TIMEOUT_T1 = (0x00000095 | NX_CLASS_SESSION | NX_PRPTYPE_F64)
NX_PROP_SESSION_J1939_TIMEOUT_T2 = (0x00000096 | NX_CLASS_SESSION | NX_PRPTYPE_F64)
NX_PROP_SESSION_J1939_TIMEOUT_T3 = (0x00000097 | NX_CLASS_SESSION | NX_PRPTYPE_F64)
NX_PROP_SESSION_J1939_TIMEOUT_T4 = (0x00000098 | NX_CLASS_SESSION | NX_PRPTYPE_F64)
NX_PROP_SESSION_J1939_RESPONSE_TIME_TR_SD = (0x00000099 | NX_CLASS_SESSION | NX_PRPTYPE_F64)
NX_PROP_SESSION_J1939_RESPONSE_TIME_TR_GD = (0x0000009A | NX_CLASS_SESSION | NX_PRPTYPE_F64)
NX_PROP_SESSION_J1939_HOLD_TIME_TH = (0x0000009B | NX_CLASS_SESSION | NX_PRPTYPE_F64)
NX_PROP_SESSION_J1939_NUM_PACKETS_RECV = (0x0000009C | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_J1939_NUM_PACKETS_RESP = (0x0000009D | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_J1939_MAX_REPEAT_CTS = (0x0000009E | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_J1939_FILL_BYTE = (0x0000009F | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_J1939_WRITE_QUEUE_SIZE = (0x000000A0 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_J1939ECU_BUSY = (0x000000A1 | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_CAN_EDGE_FILTER = (0x000000A2 | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_CAN_TRANSMIT_PAUSE = (0x000000A3 | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)
NX_PROP_SESSION_INTF_CAN_DISABLE_PROT_EXCEPTION_HANDLING = (0x000000A4 | NX_CLASS_SESSION | NX_PRPTYPE_BOOL)

NX_PROP_SYS_DEV_REFS = (0x00000002 | NX_CLASS_SYSTEM | NX_PRPTYPE_1_DREF)
NX_PROP_SYS_INTF_REFS = (0x00000003 | NX_CLASS_SYSTEM | NX_PRPTYPE_1_DREF)
NX_PROP_SYS_INTF_REFS_CAN = (0x00000004 | NX_CLASS_SYSTEM | NX_PRPTYPE_1_DREF)
NX_PROP_SYS_INTF_REFS_FLEX_RAY = (0x00000005 | NX_CLASS_SYSTEM | NX_PRPTYPE_1_DREF)
NX_PROP_SYS_INTF_REFS_LIN = (0x00000007 | NX_CLASS_SYSTEM | NX_PRPTYPE_1_DREF)
NX_PROP_SYS_VER_BUILD = (0x00000006 | NX_CLASS_SYSTEM | NX_PRPTYPE_U32)
NX_PROP_SYS_VER_MAJOR = (0x00000008 | NX_CLASS_SYSTEM | NX_PRPTYPE_U32)
NX_PROP_SYS_VER_MINOR = (0x00000009 | NX_CLASS_SYSTEM | NX_PRPTYPE_U32)
NX_PROP_SYS_VER_PHASE = (0x0000000A | NX_CLASS_SYSTEM | NX_PRPTYPE_U32)
NX_PROP_SYS_VER_UPDATE = (0x0000000B | NX_CLASS_SYSTEM | NX_PRPTYPE_U32)
NX_PROP_SYS_CDAQ_PKT_TIME = (0x0000000C | NX_CLASS_SYSTEM | NX_PRPTYPE_F64)
NX_PROP_SYS_INTF_REFS_ALL = (0x0000000D | NX_CLASS_SYSTEM | NX_PRPTYPE_1_DREF)

NX_PROP_DEV_FORM_FAC = (0x00000001 | NX_CLASS_DEVICE | NX_PRPTYPE_U32)
NX_PROP_DEV_INTF_REFS = (0x00000002 | NX_CLASS_DEVICE | NX_PRPTYPE_1_DREF)
NX_PROP_DEV_NAME = (0x00000003 | NX_CLASS_DEVICE | NX_PRPTYPE_STRING)
NX_PROP_DEV_NUM_PORTS = (0x00000004 | NX_CLASS_DEVICE | NX_PRPTYPE_U32)
NX_PROP_DEV_PRODUCT_NUM = (0x00000008 | NX_CLASS_DEVICE | NX_PRPTYPE_U32)
NX_PROP_DEV_SER_NUM = (0x00000005 | NX_CLASS_DEVICE | NX_PRPTYPE_U32)
NX_PROP_DEV_SLOT_NUM = (0x00000006 | NX_CLASS_DEVICE | NX_PRPTYPE_U32)
NX_PROP_DEV_NUM_PORTS_ALL = (0x00000007 | NX_CLASS_DEVICE | NX_PRPTYPE_U32)
NX_PROP_DEV_INTF_REFS_ALL = (0x00000008 | NX_CLASS_DEVICE | NX_PRPTYPE_1_DREF)

NX_PROP_INTF_DEV_REF = (0x00000001 | NX_CLASS_INTERFACE | NX_PRPTYPE_REF)
NX_PROP_INTF_NAME = (0x00000002 | NX_CLASS_INTERFACE | NX_PRPTYPE_STRING)
NX_PROP_INTF_NUM = (0x00000003 | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)
NX_PROP_INTF_PORT_NUM = (0x00000004 | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)
NX_PROP_INTF_PROTOCOL = (0x00000005 | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)
NX_PROP_INTF_CAN_TERM_CAP = (0x00000008 | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)
NX_PROP_INTF_CAN_TCVR_CAP = (0x00000007 | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)
NX_PROP_INTF_DONGLE_STATE = (0x00000009 | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)
NX_PROP_INTF_DONGLE_ID = (0x0000000A | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)
NX_PROP_INTF_DONGLE_REVISION = (0x0000000C | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)
NX_PROP_INTF_DONGLE_FIRMWARE_VERSION = (0x0000000D | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)
NX_PROP_INTF_DONGLE_COMPATIBLE_REVISION = (0x0000000E | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)
NX_PROP_INTF_DONGLE_COMPATIBLE_FIRMWARE_VERSION = (0x0000000F | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)

NX_PROP_SESSION_SUB_CAN_START_TIME_OFF = (0x00000081 | NX_CLASS_SESSION | NX_PRPTYPE_F64)
NX_PROP_SESSION_SUB_CAN_TX_TIME = (0x00000082 | NX_CLASS_SESSION | NX_PRPTYPE_F64)
NX_PROP_SESSION_SUB_SKIP_N_CYCLIC_FRAMES = (0x00000083 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_SUB_OUTPUT_QUEUE_UPDATE_FREQ = (0x00000084 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_SUB_LIN_TX_N_CORRUPTED_CHKSUMS = (0x00000085 | NX_CLASS_SESSION | NX_PRPTYPE_U32)
NX_PROP_SESSION_SUB_J1939_ADDR_FILTER = (0x00000086 | NX_CLASS_SESSION | NX_PRPTYPE_STRING)

NX_PROP_DATABASE_NAME = (0x00000001 | NX_CLASS_DATABASE | NX_PRPTYPE_STRING)
NX_PROP_DATABASE_CLST_REFS = (0x00000002 | NX_CLASS_DATABASE | NX_PRPTYPE_1_DREF)
NX_PROP_DATABASE_SHOW_INVALID_FROM_OPEN = (0x00000003 | NX_CLASS_DATABASE | NX_PRPTYPE_BOOL)

NX_PROP_CLST_BAUD_RATE = (0x00000001 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_BAUD_RATE64 = (0x00000001 | NX_CLASS_CLUSTER | NX_PRPTYPE_U64)
NX_PROP_CLST_COMMENT = (0x00000008 | NX_CLASS_CLUSTER | NX_PRPTYPE_STRING)
NX_PROP_CLST_CONFIG_STATUS = (0x00000009 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_DATABASE_REF = (0x00000002 | NX_CLASS_CLUSTER | NX_PRPTYPE_REF)
NX_PROP_CLST_ECU_REFS = (0x00000003 | NX_CLASS_CLUSTER | NX_PRPTYPE_1_DREF)
NX_PROP_CLST_FRM_REFS = (0x00000004 | NX_CLASS_CLUSTER | NX_PRPTYPE_1_DREF)
NX_PROP_CLST_NAME = (0x00000005 | NX_CLASS_CLUSTER | NX_PRPTYPE_STRING)
NX_PROP_CLST_PDU_REFS = (0x00000008 | NX_CLASS_CLUSTER | NX_PRPTYPE_1_DREF)
NX_PROP_CLST_PD_US_REQD = (0x0000000A | NX_CLASS_CLUSTER | NX_PRPTYPE_BOOL)
NX_PROP_CLST_PROTOCOL = (0x00000006 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_SIG_REFS = (0x00000007 | NX_CLASS_CLUSTER | NX_PRPTYPE_1_DREF)
NX_PROP_CLST_CAN_IO_MODE = (0x00000010 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_CAN_FD_BAUD_RATE = (0x00000011 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_CAN_FD_BAUD_RATE64 = (0x00000011 | NX_CLASS_CLUSTER | NX_PRPTYPE_U64)
NX_PROP_CLST_FLEX_RAY_ACT_PT_OFF = (0x00000020 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_CAS_RX_L_MAX = (0x00000021 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_CHANNELS = (0x00000022 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_CLST_DRIFT_DMP = (0x00000023 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_COLD_ST_ATS = (0x00000024 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_CYCLE = (0x00000025 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_DYN_SEG_START = (0x00000026 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_DYN_SLOT_IDL_PH = (0x00000027 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_LATEST_USABLE_DYN = (0x0000002A | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_LATEST_GUAR_DYN = (0x0000002B | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_LIS_NOISE = (0x00000028 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_MACRO_PER_CYCLE = (0x00000029 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_MACROTICK = (0x00000030 | NX_CLASS_CLUSTER | NX_PRPTYPE_F64)
NX_PROP_CLST_FLEX_RAY_MAX_WO_CLK_COR_FAT = (0x00000031 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_MAX_WO_CLK_COR_PAS = (0x00000032 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_MINISLOT_ACT_PT = (0x00000033 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_MINISLOT = (0x00000034 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_NM_VEC_LEN = (0x00000035 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_NIT = (0x00000036 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_NIT_START = (0x00000037 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_NUM_MINISLT = (0x00000038 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_NUM_STAT_SLT = (0x00000039 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_OFF_COR_ST = (0x00000040 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_PAYLD_LEN_DYN_MAX = (0x00000041 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_PAYLD_LEN_MAX = (0x00000042 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_PAYLD_LEN_ST = (0x00000043 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_STAT_SLOT = (0x00000045 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_SYM_WIN = (0x00000046 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_SYM_WIN_START = (0x00000047 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_SYNC_NODE_MAX = (0x00000048 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_TSS_TX = (0x00000049 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_WAKE_SYM_RX_IDL = (0x00000050 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_WAKE_SYM_RX_LOW = (0x00000051 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_WAKE_SYM_RX_WIN = (0x00000052 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_WAKE_SYM_TX_IDL = (0x00000053 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_WAKE_SYM_TX_LOW = (0x00000054 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_FLEX_RAY_USE_WAKEUP = (0x00000055 | NX_CLASS_CLUSTER | NX_PRPTYPE_BOOL)
NX_PROP_CLST_LIN_SCHEDULES = (0x00000070 | NX_CLASS_CLUSTER | NX_PRPTYPE_1_DREF)
NX_PROP_CLST_LIN_TICK = (0x00000071 | NX_CLASS_CLUSTER | NX_PRPTYPE_F64)
NX_PROP_CLST_FLEX_RAY_ALW_PASS_ACT = (0x00000072 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_APPLICATION_PROTOCOL = (0x00000073 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)
NX_PROP_CLST_CAN_FD_ISO_MODE = (0x00000074 | NX_CLASS_CLUSTER | NX_PRPTYPE_U32)

NX_PROP_FRM_APPLICATION_PROTOCOL = (0x00000064 | NX_CLASS_FRAME | NX_PRPTYPE_U32)
NX_PROP_FRM_CLUSTER_REF = (0x00000001 | NX_CLASS_FRAME | NX_PRPTYPE_REF)
NX_PROP_FRM_COMMENT = (0x00000002 | NX_CLASS_FRAME | NX_PRPTYPE_STRING)
NX_PROP_FRM_CONFIG_STATUS = (0x00000009 | NX_CLASS_FRAME | NX_PRPTYPE_U32)
NX_PROP_FRM_DEFAULT_PAYLOAD = (0x00000005 | NX_CLASS_FRAME | NX_PRPTYPE_1_DU8)
NX_PROP_FRM_ID = (0x00000003 | NX_CLASS_FRAME | NX_PRPTYPE_U32)
NX_PROP_FRM_NAME = (0x00000004 | NX_CLASS_FRAME | NX_PRPTYPE_STRING)
NX_PROP_FRM_PAYLOAD_LEN = (0x00000007 | NX_CLASS_FRAME | NX_PRPTYPE_U32)
NX_PROP_FRM_SIG_REFS = (0x00000008 | NX_CLASS_FRAME | NX_PRPTYPE_1_DREF)
NX_PROP_FRM_CAN_EXT_ID = (0x00000010 | NX_CLASS_FRAME | NX_PRPTYPE_BOOL)
NX_PROP_FRM_CAN_TIMING_TYPE = (0x00000011 | NX_CLASS_FRAME | NX_PRPTYPE_U32)
NX_PROP_FRM_CAN_TX_TIME = (0x00000012 | NX_CLASS_FRAME | NX_PRPTYPE_F64)
NX_PROP_FRM_FLEX_RAY_BASE_CYCLE = (0x00000020 | NX_CLASS_FRAME | NX_PRPTYPE_U32)
NX_PROP_FRM_FLEX_RAY_CH_ASSIGN = (0x00000021 | NX_CLASS_FRAME | NX_PRPTYPE_U32)
NX_PROP_FRM_FLEX_RAY_CYCLE_REP = (0x00000022 | NX_CLASS_FRAME | NX_PRPTYPE_U32)
NX_PROP_FRM_FLEX_RAY_PREAMBLE = (0x00000023 | NX_CLASS_FRAME | NX_PRPTYPE_BOOL)
NX_PROP_FRM_FLEX_RAY_STARTUP = (0x00000024 | NX_CLASS_FRAME | NX_PRPTYPE_BOOL)
NX_PROP_FRM_FLEX_RAY_SYNC = (0x00000025 | NX_CLASS_FRAME | NX_PRPTYPE_BOOL)
NX_PROP_FRM_FLEX_RAY_TIMING_TYPE = (0x00000026 | NX_CLASS_FRAME | NX_PRPTYPE_U32)
NX_PROP_FRM_FLEX_RAY_IN_CYC_REP_ENABLED = (0x00000030 | NX_CLASS_FRAME | NX_PRPTYPE_BOOL)
NX_PROP_FRM_FLEX_RAY_IN_CYC_REP_I_DS = (0x00000031 | NX_CLASS_FRAME | NX_PRPTYPE_1_DU32)
NX_PROP_FRM_FLEX_RAY_IN_CYC_REP_CH_ASSIGNS = (0x00000032 | NX_CLASS_FRAME | NX_PRPTYPE_1_DU32)
NX_PROP_FRM_LIN_CHECKSUM = (0x00000050 | NX_CLASS_FRAME | NX_PRPTYPE_U32)
NX_PROP_FRM_MUX_IS_MUXED = (0x00000040 | NX_CLASS_FRAME | NX_PRPTYPE_BOOL)
NX_PROP_FRM_MUX_DATA_MUX_SIG_REF = (0x00000041 | NX_CLASS_FRAME | NX_PRPTYPE_REF)
NX_PROP_FRM_MUX_STATIC_SIG_REFS = (0x00000042 | NX_CLASS_FRAME | NX_PRPTYPE_1_DREF)
NX_PROP_FRM_MUX_SUBFRAME_REFS = (0x00000043 | NX_CLASS_FRAME | NX_PRPTYPE_1_DREF)
NX_PROP_FRM_PDU_REFS = (0x00000060 | NX_CLASS_FRAME | NX_PRPTYPE_1_DREF)
NX_PROP_FRM_PDU_START_BITS = (0x00000061 | NX_CLASS_FRAME | NX_PRPTYPE_1_DU32)
NX_PROP_FRM_PDU_UPDATE_BITS = (0x00000063 | NX_CLASS_FRAME | NX_PRPTYPE_1_DU32)
NX_PROP_FRM_VARIABLE_PAYLOAD = (0x00000065 | NX_CLASS_FRAME | NX_PRPTYPE_BOOL)
NX_PROP_FRM_CA_NIO_MODE = (0x00000066 | NX_CLASS_FRAME | NX_PRPTYPE_U32)

NX_PROP_PDU_CLUSTER_REF = (0x00000004 | NX_CLASS_PDU | NX_PRPTYPE_REF)
NX_PROP_PDU_DEFAULT_PAYLOAD = (0x00000005 | NX_CLASS_PDU | NX_PRPTYPE_1_DU8)
NX_PROP_PDU_COMMENT = (0x00000002 | NX_CLASS_PDU | NX_PRPTYPE_STRING)
NX_PROP_PDU_CONFIG_STATUS = (0x00000007 | NX_CLASS_PDU | NX_PRPTYPE_U32)
NX_PROP_PDU_FRM_REFS = (0x00000006 | NX_CLASS_PDU | NX_PRPTYPE_1_DREF)
NX_PROP_PDU_NAME = (0x00000001 | NX_CLASS_PDU | NX_PRPTYPE_STRING)
NX_PROP_PDU_PAYLOAD_LEN = (0x00000003 | NX_CLASS_PDU | NX_PRPTYPE_U32)
NX_PROP_PDU_SIG_REFS = (0x00000005 | NX_CLASS_PDU | NX_PRPTYPE_1_DREF)
NX_PROP_PDU_MUX_IS_MUXED = (0x00000008 | NX_CLASS_PDU | NX_PRPTYPE_BOOL)
NX_PROP_PDU_MUX_DATA_MUX_SIG_REF = (0x00000009 | NX_CLASS_PDU | NX_PRPTYPE_REF)
NX_PROP_PDU_MUX_STATIC_SIG_REFS = (0x0000000A | NX_CLASS_PDU | NX_PRPTYPE_1_DREF)
NX_PROP_PDU_MUX_SUBFRAME_REFS = (0x0000000B | NX_CLASS_PDU | NX_PRPTYPE_1_DREF)

NX_PROP_SIG_BYTE_ORDR = (0x00000001 | NX_CLASS_SIGNAL | NX_PRPTYPE_U32)
NX_PROP_SIG_COMMENT = (0x00000002 | NX_CLASS_SIGNAL | NX_PRPTYPE_STRING)
NX_PROP_SIG_CONFIG_STATUS = (0x00000009 | NX_CLASS_SIGNAL | NX_PRPTYPE_U32)
NX_PROP_SIG_DATA_TYPE = (0x00000003 | NX_CLASS_SIGNAL | NX_PRPTYPE_U32)
NX_PROP_SIG_DEFAULT = (0x00000004 | NX_CLASS_SIGNAL | NX_PRPTYPE_F64)
NX_PROP_SIG_FRAME_REF = (0x00000005 | NX_CLASS_SIGNAL | NX_PRPTYPE_REF)
NX_PROP_SIG_MAX = (0x00000006 | NX_CLASS_SIGNAL | NX_PRPTYPE_F64)
NX_PROP_SIG_MIN = (0x00000007 | NX_CLASS_SIGNAL | NX_PRPTYPE_F64)
NX_PROP_SIG_NAME = (0x00000008 | NX_CLASS_SIGNAL | NX_PRPTYPE_STRING)
NX_PROP_SIG_NAME_UNIQUE_TO_CLUSTER = (0x00000010 | NX_CLASS_SIGNAL | NX_PRPTYPE_STRING)
NX_PROP_SIG_NUM_BITS = (0x00000012 | NX_CLASS_SIGNAL | NX_PRPTYPE_U32)
NX_PROP_SIG_PDU_REF = (0x00000011 | NX_CLASS_SIGNAL | NX_PRPTYPE_REF)
NX_PROP_SIG_SCALE_FAC = (0x00000013 | NX_CLASS_SIGNAL | NX_PRPTYPE_F64)
NX_PROP_SIG_SCALE_OFF = (0x00000014 | NX_CLASS_SIGNAL | NX_PRPTYPE_F64)
NX_PROP_SIG_START_BIT = (0x00000015 | NX_CLASS_SIGNAL | NX_PRPTYPE_U32)
NX_PROP_SIG_UNIT = (0x00000016 | NX_CLASS_SIGNAL | NX_PRPTYPE_STRING)
NX_PROP_SIG_MUX_IS_DATA_MUX = (0x00000030 | NX_CLASS_SIGNAL | NX_PRPTYPE_BOOL)
NX_PROP_SIG_MUX_IS_DYNAMIC = (0x00000031 | NX_CLASS_SIGNAL | NX_PRPTYPE_BOOL)
NX_PROP_SIG_MUX_VALUE = (0x00000032 | NX_CLASS_SIGNAL | NX_PRPTYPE_U32)
NX_PROP_SIG_MUX_SUBFRM_REF = (0x00000033 | NX_CLASS_SIGNAL | NX_PRPTYPE_REF)

NX_PROP_SUBFRM_CONFIG_STATUS = (0x00000009 | NX_CLASS_SUBFRAME | NX_PRPTYPE_U32)
NX_PROP_SUBFRM_DYN_SIG_REFS = (0x00000001 | NX_CLASS_SUBFRAME | NX_PRPTYPE_1_DREF)
NX_PROP_SUBFRM_FRM_REF = (0x00000002 | NX_CLASS_SUBFRAME | NX_PRPTYPE_REF)
NX_PROP_SUBFRM_MUX_VALUE = (0x00000003 | NX_CLASS_SUBFRAME | NX_PRPTYPE_U32)
NX_PROP_SUBFRM_NAME = (0x00000004 | NX_CLASS_SUBFRAME | NX_PRPTYPE_STRING)
NX_PROP_SUBFRM_PDU_REF = (0x00000005 | NX_CLASS_SUBFRAME | NX_PRPTYPE_REF)
NX_PROP_SUBFRM_NAME_UNIQUE_TO_CLUSTER = (0x00000007 | NX_CLASS_SUBFRAME | NX_PRPTYPE_STRING)

NX_PROP_ECU_CLST_REF = (0x00000001 | NX_CLASS_ECU | NX_PRPTYPE_REF)
NX_PROP_ECU_COMMENT = (0x00000005 | NX_CLASS_ECU | NX_PRPTYPE_STRING)
NX_PROP_ECU_CONFIG_STATUS = (0x00000009 | NX_CLASS_ECU | NX_PRPTYPE_U32)
NX_PROP_ECU_NAME = (0x00000002 | NX_CLASS_ECU | NX_PRPTYPE_STRING)
NX_PROP_ECU_RX_FRM_REFS = (0x00000003 | NX_CLASS_ECU | NX_PRPTYPE_1_DREF)
NX_PROP_ECU_TX_FRM_REFS = (0x00000004 | NX_CLASS_ECU | NX_PRPTYPE_1_DREF)
NX_PROP_ECU_FLEX_RAY_IS_COLDSTART = (0x00000010 | NX_CLASS_ECU | NX_PRPTYPE_BOOL)
NX_PROP_ECU_FLEX_RAY_STARTUP_FRAME_REF = (0x00000011 | NX_CLASS_ECU | NX_PRPTYPE_REF)
NX_PROP_ECU_FLEX_RAY_WAKEUP_PTRN = (0x00000012 | NX_CLASS_ECU | NX_PRPTYPE_U32)
NX_PROP_ECU_FLEX_RAY_WAKEUP_CHS = (0x00000013 | NX_CLASS_ECU | NX_PRPTYPE_U32)
NX_PROP_ECU_FLEX_RAY_CONNECTED_CHS = (0x00000014 | NX_CLASS_ECU | NX_PRPTYPE_U32)
NX_PROP_ECU_LIN_MASTER = (0x00000020 | NX_CLASS_ECU | NX_PRPTYPE_BOOL)
NX_PROP_ECU_LIN_PROTOCOL_VER = (0x00000021 | NX_CLASS_ECU | NX_PRPTYPE_U32)
NX_PROP_ECU_LIN_INITIAL_NAD = (0x00000022 | NX_CLASS_ECU | NX_PRPTYPE_U32)
NX_PROP_ECU_LIN_CONFIG_NAD = (0x00000023 | NX_CLASS_ECU | NX_PRPTYPE_U32)
NX_PROP_ECU_LIN_SUPPLIER_ID = (0x00000024 | NX_CLASS_ECU | NX_PRPTYPE_U32)
NX_PROP_ECU_LIN_FUNCTION_ID = (0x00000025 | NX_CLASS_ECU | NX_PRPTYPE_U32)
NX_PROP_ECU_LINP_2MIN = (0x00000026 | NX_CLASS_ECU | NX_PRPTYPE_F64)
NX_PROP_ECU_LINS_TMIN = (0x00000027 | NX_CLASS_ECU | NX_PRPTYPE_F64)
NX_PROP_ECU_J1939_PREFERRED_ADDRESS = (0x00000028 | NX_CLASS_ECU | NX_PRPTYPE_U32)
NX_PROP_ECU_J1939_NODE_NAME = (0x00000029 | NX_CLASS_ECU | NX_PRPTYPE_U64)

NX_PROP_LIN_SCHED_CLST_REF = (0x00000005 | NX_CLASS_LIN_SCHED | NX_PRPTYPE_REF)
NX_PROP_LIN_SCHED_COMMENT = (0x00000006 | NX_CLASS_LIN_SCHED | NX_PRPTYPE_STRING)
NX_PROP_LIN_SCHED_CONFIG_STATUS = (0x00000007 | NX_CLASS_LIN_SCHED | NX_PRPTYPE_U32)
NX_PROP_LIN_SCHED_ENTRIES = (0x00000001 | NX_CLASS_LIN_SCHED | NX_PRPTYPE_1_DREF)
NX_PROP_LIN_SCHED_NAME = (0x00000002 | NX_CLASS_LIN_SCHED | NX_PRPTYPE_STRING)
NX_PROP_LIN_SCHED_PRIORITY = (0x00000003 | NX_CLASS_LIN_SCHED | NX_PRPTYPE_U32)
NX_PROP_LIN_SCHED_RUN_MODE = (0x00000004 | NX_CLASS_LIN_SCHED | NX_PRPTYPE_U32)

NX_PROP_LIN_SCHED_ENTRY_COLLISION_RES_SCHED = (0x00000001 | NX_CLASS_LIN_SCHED_ENTRY | NX_PRPTYPE_REF)
NX_PROP_LIN_SCHED_ENTRY_DELAY = (0x00000002 | NX_CLASS_LIN_SCHED_ENTRY | NX_PRPTYPE_F64)
NX_PROP_LIN_SCHED_ENTRY_EVENT_ID = (0x00000003 | NX_CLASS_LIN_SCHED_ENTRY | NX_PRPTYPE_U32)
NX_PROP_LIN_SCHED_ENTRY_FRAMES = (0x00000004 | NX_CLASS_LIN_SCHED_ENTRY | NX_PRPTYPE_1_DREF)
NX_PROP_LIN_SCHED_ENTRY_NAME = (0x00000006 | NX_CLASS_LIN_SCHED_ENTRY | NX_PRPTYPE_STRING)
NX_PROP_LIN_SCHED_ENTRY_NAME_UNIQUE_TO_CLUSTER = (0x00000008 | NX_CLASS_LIN_SCHED_ENTRY | NX_PRPTYPE_STRING)
NX_PROP_LIN_SCHED_ENTRY_SCHED = (0x00000007 | NX_CLASS_LIN_SCHED_ENTRY | NX_PRPTYPE_REF)
NX_PROP_LIN_SCHED_ENTRY_TYPE = (0x00000005 | NX_CLASS_LIN_SCHED_ENTRY | NX_PRPTYPE_U32)
NX_PROP_LIN_SCHED_ENTRY_NC_FF_DATA_BYTES = (0x00000009 | NX_CLASS_LIN_SCHED_ENTRY | NX_PRPTYPE_1_DU8)

NX_MODE_SIGNAL_IN_SINGLE_POINT = 0
NX_MODE_SIGNAL_IN_WAVEFORM = 1
NX_MODE_SIGNAL_IN_XY = 2
NX_MODE_SIGNAL_OUT_SINGLE_POINT = 3
NX_MODE_SIGNAL_OUT_WAVEFORM = 4
NX_MODE_SIGNAL_OUT_XY = 5
NX_MODE_FRAME_IN_STREAM = 6
NX_MODE_FRAME_IN_QUEUED = 7
NX_MODE_FRAME_IN_SINGLE_POINT = 8
NX_MODE_FRAME_OUT_STREAM = 9
NX_MODE_FRAME_OUT_QUEUED = 10
NX_MODE_FRAME_OUT_SINGLE_POINT = 11
NX_MODE_SIGNAL_CONVERSION_SINGLE_POINT = 12

NX_START_STOP_NORMAL = 0
NX_START_STOP_SESSION_ONLY = 1
NX_START_STOP_INTERFACE_ONLY = 2
NX_START_STOP_SESSION_ONLY_BLOCKING = 3

NX_BLINK_DISABLE = 0
NX_BLINK_ENABLE = 1

NX_TERM_PXI_TRIG0 = "PXI_Trig0"
NX_TERM_PXI_TRIG1 = "PXI_Trig1"
NX_TERM_PXI_TRIG2 = "PXI_Trig2"
NX_TERM_PXI_TRIG3 = "PXI_Trig3"
NX_TERM_PXI_TRIG4 = "PXI_Trig4"
NX_TERM_PXI_TRIG5 = "PXI_Trig5"
NX_TERM_PXI_TRIG6 = "PXI_Trig6"
NX_TERM_PXI_TRIG7 = "PXI_Trig7"
NX_TERM_FRONT_PANEL0 = "FrontPanel0"
NX_TERM_FRONT_PANEL1 = "FrontPanel1"
NX_TERM_PXI_STAR = "PXI_Star"
NX_TERM_PXI_CLK10 = "PXI_Clk10"
NX_TERM_10_M_HZ_TIMEBASE = "10MHzTimebase"
NX_TERM_1_M_HZ_TIMEBASE = "1MHzTimebase"
NX_TERM_MASTER_TIMEBASE = "MasterTimebase"
NX_TERM_COMM_TRIGGER = "CommTrigger"
NX_TERM_START_TRIGGER = "StartTrigger"
NX_TERM_FLEX_RAY_START_CYCLE = "FlexRayStartCycle"
NX_TERM_FLEX_RAY_MACROTICK = "FlexRayMacrotick"
NX_TERM_LOG_TRIGGER = "LogTrigger"

NX_STATE_TIME_CURRENT = (0x00000001 | NX_CLASS_INTERFACE | NX_PRPTYPE_TIME)
NX_STATE_TIME_COMMUNICATING = (0x00000002 | NX_CLASS_INTERFACE | NX_PRPTYPE_TIME)
NX_STATE_TIME_START = (0x00000003 | NX_CLASS_INTERFACE | NX_PRPTYPE_TIME)
NX_STATE_SESSION_INFO = (0x00000004 | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)
NX_STATE_CAN_COMM = (0x00000010 | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)
NX_STATE_FLEX_RAY_COMM = (0x00000020 | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)
NX_STATE_FLEX_RAY_STATS = (0x00000021 | NX_CLASS_INTERFACE | NX_PRPTYPE_1_DU32)
NX_STATE_LIN_COMM = (0x00000030 | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)
NX_STATE_J1939_COMM = (0x00000040 | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)
NX_STATE_LIN_SCHEDULE_CHANGE = (0x00000081 | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)
NX_STATE_LIN_DIAGNOSTIC_SCHEDULE_CHANGE = (0x00000083 | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)
NX_STATE_FLEX_RAY_SYMBOL = (0x00000082 | NX_CLASS_INTERFACE | NX_PRPTYPE_U32)

NX_CAN_FD_MODE_ISO = 0
NX_CAN_FD_MODE_NON_ISO = 1
NX_CAN_FD_MODE_ISO_LEGACY = 2

NX_SESSION_INFO_STATE_STOPPED = 0
NX_SESSION_INFO_STATE_STARTED = 1
NX_SESSION_INFO_STATE_MIX = 2

NX_CAN_COMM_STATE_ERROR_ACTIVE = 0
NX_CAN_COMM_STATE_ERROR_PASSIVE = 1
NX_CAN_COMM_STATE_BUS_OFF = 2
NX_CAN_COMM_STATE_INIT = 3

NX_CAN_LAST_ERR_NONE = 0
NX_CAN_LAST_ERR_STUFF = 1
NX_CAN_LAST_ERR_FORM = 2
NX_CAN_LAST_ERR_ACK = 3
NX_CAN_LAST_ERR_BIT1 = 4
NX_CAN_LAST_ERR_BIT0 = 5
NX_CAN_LAST_ERR_CRC = 6

NX_CA_NIO_MODE_CAN = 0
NX_CA_NIO_MODE_CAN_FD = 1
NX_CA_NIO_MODE_CAN_FD_BRS = 2

NX_FLEX_RAY_POC_STATE_DEFAULT_CONFIG = 0
NX_FLEX_RAY_POC_STATE_READY = 1
NX_FLEX_RAY_POC_STATE_NORMAL_ACTIVE = 2
NX_FLEX_RAY_POC_STATE_NORMAL_PASSIVE = 3
NX_FLEX_RAY_POC_STATE_HALT = 4
NX_FLEX_RAY_POC_STATE_MONITOR = 5
NX_FLEX_RAY_POC_STATE_CONFIG = 15

NX_LIN_COMM_STATE_IDLE = 0
NX_LIN_COMM_STATE_ACTIVE = 1
NX_LIN_COMM_STATE_INACTIVE = 2

NX_LIN_DIAGNOSTIC_SCHEDULE_NULL = 0x0000
NX_LIN_DIAGNOSTIC_SCHEDULE_MASTER_REQ = 0x0001
NX_LIN_DIAGNOSTIC_SCHEDULE_SLAVE_RESP = 0x0002

NX_LIN_LAST_ERR_CODE_NONE = 0
NX_LIN_LAST_ERR_CODE_UNKNOWN_ID = 1
NX_LIN_LAST_ERR_CODE_FORM = 2
NX_LIN_LAST_ERR_CODE_FRAMING = 3
NX_LIN_LAST_ERR_CODE_READBACK = 4
NX_LIN_LAST_ERR_CODE_TIMEOUT = 5
NX_LIN_LAST_ERR_CODE_CRC = 6

NX_CONDITION_TRANSMIT_COMPLETE = 0x8001
NX_CONDITION_INTF_COMMUNICATING = 0x8002
NX_CONDITION_INTF_REMOTE_WAKEUP = 0x8003

NX_TIMEOUT_NONE = (0)
NX_TIMEOUT_INFINITE = (-1)

NX_GET_DBC_MODE_ATTRIBUTE = 0
NX_GET_DBC_MODE_ENUMERATION_LIST = 1
NX_GET_DBC_MODE_ATTRIBUTE_LIST = 2
NX_GET_DBC_MODE_VALUE_TABLE_LIST = 3

NXDB_MERGE_COPY_USE_SOURCE = 0
NXDB_MERGE_COPY_USE_TARGET = 1
NXDB_MERGE_MERGE_USE_SOURCE = 2
NXDB_MERGE_MERGE_USE_TARGET = 3

NX_DONGLE_STATE_NO_DONGLE_NO_EXT_POWER = 1
NX_DONGLE_STATE_NO_DONGLE_EXT_POWER = 2
NX_DONGLE_STATE_DONGLE_NO_EXT_POWER = 3
NX_DONGLE_STATE_READY = 4
NX_DONGLE_STATE_BUSY = 5
NX_DONGLE_STATE_COMM_ERROR = 13
NX_DONGLE_STATE_OVER_CURRENT = 14

NX_DONGLE_ID_LS_CAN = 1
NX_DONGLE_ID_HS_CAN = 2
NX_DONGLE_ID_SW_CAN = 3
NX_DONGLE_ID_XS_CAN = 4
NX_DONGLE_ID_LIN = 6
NX_DONGLE_ID_DONGLE_LESS = 13
NX_DONGLE_ID_UNKNOWN = 14

NX_PHASE_DEVELOPMENT = 0
NX_PHASE_ALPHA = 1
NX_PHASE_BETA = 2
NX_PHASE_RELEASE = 3

NX_DEV_FORM_PXI = 0
NX_DEV_FORM_PCI = 1
NX_DEV_FORM_C_SERIES = 2
NX_DEV_FORM_PX_IE = 3
NX_DEV_FORM_USB = 4

NX_CAN_TERM_CAP_NO = 0
NX_CAN_TERM_CAP_YES = 1

NX_CAN_TCVR_CAP_HS = 0
NX_CAN_TCVR_CAP_LS = 1
NX_CAN_TCVR_CAP_XS = 3
NX_CAN_TCVR_CAP_XS_HS_LS = 4
NX_CAN_TCVR_CAP_UNKNOWN = 0xFFFFFFFF

NX_PROTOCOL_UNKNOWN = 0xFFFFFFFE
NX_PROTOCOL_CAN = 0
NX_PROTOCOL_FLEX_RAY = 1
NX_PROTOCOL_LIN = 2

NX_APP_PROTOCOL_NONE = 0
NX_APP_PROTOCOL_J1939 = 1

NX_CAN_TERM_OFF = 0
NX_CAN_TERM_ON = 1

NX_CAN_TCVR_STATE_NORMAL = 0
NX_CAN_TCVR_STATE_SLEEP = 1
NX_CAN_TCVR_STATE_SW_WAKEUP = 2
NX_CAN_TCVR_STATE_SW_HIGH_SPEED = 3

NX_CAN_TCVR_TYPE_HS = 0
NX_CAN_TCVR_TYPE_LS = 1
NX_CAN_TCVR_TYPE_SW = 2
NX_CAN_TCVR_TYPE_EXT = 3
NX_CAN_TCVR_TYPE_DISC = 4

NX_FLEX_RAY_SAMP_PER_MICRO_1 = 0
NX_FLEX_RAY_SAMP_PER_MICRO_2 = 1
NX_FLEX_RAY_SAMP_PER_MICRO_4 = 2

NX_FLEX_RAY_TERM_OFF = 0
NX_FLEX_RAY_TERM_ON = 1

NX_LIN_SLEEP_REMOTE_SLEEP = 0
NX_LIN_SLEEP_REMOTE_WAKE = 1
NX_LIN_SLEEP_LOCAL_SLEEP = 2
NX_LIN_SLEEP_LOCAL_WAKE = 3

NX_LIN_TERM_OFF = 0
NX_LIN_TERM_ON = 1

NX_OUT_STRM_TIMNG_IMMEDIATE = 0
NX_OUT_STRM_TIMNG_REPLAY_EXCLUSIVE = 1
NX_OUT_STRM_TIMNG_REPLAY_INCLUSIVE = 2

NX_CAN_PEND_TX_ORDER_AS_SUBMITTED = 0
NX_CAN_PEND_TX_ORDER_BY_IDENTIFIER = 1

NX_FLEX_RAY_SLEEP_LOCAL_SLEEP = 0
NX_FLEX_RAY_SLEEP_LOCAL_WAKE = 1
NX_FLEX_RAY_SLEEP_REMOTE_WAKE = 2

NX_CAN_EXT_TCVR_CONFIG_NORMAL_SUPPORTED = (1 << 2)
NX_CAN_EXT_TCVR_CONFIG_SLEEP_SUPPORTED = (1 << 5)
NX_CAN_EXT_TCVR_CONFIG_SW_WAKEUP_SUPPORTED = (1 << 8)
NX_CAN_EXT_TCVR_CONFIG_SW_HIGH_SPEED_SUPPORTED = (1 << 11)
NX_CAN_EXT_TCVR_CONFIG_POWER_ON_SUPPORTED = (1 << 14)
NX_CAN_EXT_TCVR_CONFIG_NORMAL_OUTPUT0_SET = (1 << 0)
NX_CAN_EXT_TCVR_CONFIG_SLEEP_OUTPUT0_SET = (1 << 3)
NX_CAN_EXT_TCVR_CONFIG_SW_WAKEUP_OUTPUT0_SET = (1 << 6)
NX_CAN_EXT_TCVR_CONFIG_SW_HIGH_SPEED_OUTPUT0_SET = (1 << 9)
NX_CAN_EXT_TCVR_CONFIG_POWER_ON_OUTPUT0_SET = (1 << 12)
NX_CAN_EXT_TCVR_CONFIG_NORMAL_OUTPUT1_SET = (1 << 1)
NX_CAN_EXT_TCVR_CONFIG_SLEEP_OUTPUT1_SET = (1 << 4)
NX_CAN_EXT_TCVR_CONFIG_SW_WAKEUP_OUTPUT1_SET = (1 << 7)
NX_CAN_EXT_TCVR_CONFIG_SW_HIGH_SPEED_OUTPUT1_SET = (1 << 10)
NX_CAN_EXT_TCVR_CONFIG_POWER_ON_OUTPUT1_SET = (1 << 13)
NX_CAN_EXT_TCVR_CONFIG_N_ERR_CONNECTED = (1 << 31)

NX_FRM_FLEX_RAY_CH_ASSIGN_A = 1
NX_FRM_FLEX_RAY_CH_ASSIGN_B = 2
NX_FRM_FLEX_RAY_CH_ASSIGN_AAND_B = 3
NX_FRM_FLEX_RAY_CH_ASSIGN_NONE = 4

NX_CLST_FLEX_RAY_SAMP_CLK_PER_P0125US = 0
NX_CLST_FLEX_RAY_SAMP_CLK_PER_P025US = 1
NX_CLST_FLEX_RAY_SAMP_CLK_PER_P05US = 2

NX_FRM_FLEX_RAY_TIMING_CYCLIC = 0
NX_FRM_FLEX_RAY_TIMING_EVENT = 1

NX_FRM_CAN_TIMING_CYCLIC_DATA = 0
NX_FRM_CAN_TIMING_EVENT_DATA = 1
NX_FRM_CAN_TIMING_CYCLIC_REMOTE = 2
NX_FRM_CAN_TIMING_EVENT_REMOTE = 3
NX_FRM_CAN_TIMING_CYCLIC_EVENT = 4

NX_SIG_BYTE_ORDR_LITTLE_ENDIAN = 0
NX_SIG_BYTE_ORDR_BIG_ENDIAN = 1

NX_SIG_DATA_TYPE_SIGNED = 0
NX_SIG_DATA_TYPE_UNSIGNED = 1
NX_SIG_DATA_TYPE_IEEE_FLOAT = 2

NX_LIN_PROTOCOL_VER_1_2 = 2
NX_LIN_PROTOCOL_VER_1_3 = 3
NX_LIN_PROTOCOL_VER_2_0 = 4
NX_LIN_PROTOCOL_VER_2_1 = 5
NX_LIN_PROTOCOL_VER_2_2 = 6

NX_LIN_SCHED_RUN_MODE_CONTINUOUS = 0
NX_LIN_SCHED_RUN_MODE_ONCE = 1
NX_LIN_SCHED_RUN_MODE_NULL = 2

NX_LIN_SCHED_ENTRY_TYPE_UNCONDITIONAL = 0
NX_LIN_SCHED_ENTRY_TYPE_SPORADIC = 1
NX_LIN_SCHED_ENTRY_TYPE_EVENT_TRIGGERED = 2
NX_LIN_SCHED_ENTRY_TYPE_NODE_CONFIG_SERVICE = 3

NX_FRM_LIN_CHECKSUM_CLASSIC = 0
NX_FRM_LIN_CHECKSUM_ENHANCED = 1

NX_FRAME_TYPE_CAN_DATA = 0x00
NX_FRAME_TYPE_CAN_REMOTE = 0x01
NX_FRAME_TYPE_CAN_BUS_ERROR = 0x02
NX_FRAME_TYPE_CAN20_DATA = 0x08
NX_FRAME_TYPE_CANFD_DATA = 0x10
NX_FRAME_TYPE_CANFDBRS_DATA = 0x18
NX_FRAME_TYPE_FLEX_RAY_DATA = 0x20
NX_FRAME_TYPE_FLEX_RAY_NULL = 0x21
NX_FRAME_TYPE_FLEX_RAY_SYMBOL = 0x22
NX_FRAME_TYPE_LIN_DATA = 0x40
NX_FRAME_TYPE_LIN_BUS_ERROR = 0x41
NX_FRAME_TYPE_LIN_NO_RESPONSE = 0x42
NX_FRAME_TYPE_J1939_DATA = 0xC0
NX_FRAME_TYPE_SPECIAL_DELAY = 0xE0
NX_FRAME_TYPE_SPECIAL_LOG_TRIGGER = 0xE1
NX_FRAME_TYPE_SPECIAL_START_TRIGGER = 0xE2

NX_FRAME_ID_CAN_IS_EXTENDED = 0x20000000

NX_FRAME_FLAGS_FLEX_RAY_STARTUP = 0x01
NX_FRAME_FLAGS_FLEX_RAY_SYNC = 0x02
NX_FRAME_FLAGS_FLEX_RAY_PREAMBLE = 0x04
NX_FRAME_FLAGS_FLEX_RAY_CH_A = 0x10
NX_FRAME_FLAGS_FLEX_RAY_CH_B = 0x20
NX_FRAME_FLAGS_LIN_EVENT_SLOT = 0x01
NX_FRAME_FLAGS_TRANSMIT_ECHO = 0x80

NX_FLEX_RAY_SYMBOL_MTS = 0x00
NX_FLEX_RAY_SYMBOL_WAKEUP = 0x01

NX_FRAME_PAYLD_LEN_HIGH_MASK_J1939 = (7)

NX_SIZEOF_FRAME_HEADER = (16)
